% This makes Figure 1 (the intercomparison figure) in the Beacon core Ne-21
% paper. 
%
% Greg Balco, Berkeley Geochronology Center, June 2018

clear all; close all;

% Paste in data from Table S2

d = [1.16	0.11
0.88	0.21
1.20	0.25
1.137	0.030
1.089	0.049];

N21 = [58
    18
    14
    348
    320];

t = {'152 cm','448 cm','2518 cm','CREU-1','CRONUS-A'};

R = d(:,1); dR = d(:,2);

txoff = [5
    5
    5
    -40
    -55];
tyoff = [0.03
    0.03
    0.03
    0.03
    -0.03];

% plot EWM
plot([0 400],[1.123 1.123],'k'); hold on;
plot([0 400],[1.123+0.024 1.123+0.024],'k:');
plot([0 400],[1.123-0.024 1.123-0.024],'k:');


% Plot data
for a = 1:length(R);
    xx = [N21(a) N21(a)];
    yy = [R(a)+dR(a) R(a)-dR(a)];
    plot(xx,yy,'k'); 
    plot(N21(a),R(a),'ko','markerfacecolor','w','markersize',8);
    text(N21(a)+txoff(a),R(a)+tyoff(a),t{a});
end;

set(gca,'xlim',[0 400]);
grid on;

xlabel('Excess Ne-21 concentration (Matoms g^{-1})');
ylabel('BGC MAP-II / CRPG');

set(gca,'fontsize',12)





